# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KMacroCommand Class Reference

A Macro Command is a command that holds several sub-commands. More...

`#include <kcommand.h>`

Inheritance diagram for KMacroCommand:

[legend]
Collaboration diagram for KMacroCommand:

[legend]
List of all members.

## Public Member Functions

| KMacroCommand (const QString &name)
void | addCommand (KCommand *command)
virtual void | execute ()
virtual void | unexecute ()

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)

## Protected Attributes

QPtrList< KCommand > | m_commands

## Detailed Description

A Macro Command is a command that holds several sub-commands.

It will appear as one to the user and in the command history, but it can use the implementation of multiple commands internally.

Definition at line 110 of file kcommand.h.

## Constructor & Destructor Documentation

KMacroCommand::KMacroCommand | ( | const QString & | name | ) |

Creates a macro command.

You will then need to call addCommand for each subcommand to be added to this macro command.

Parameters:

  | name | the name of this command, translated, since it will appear in the menus.

Definition at line 33 of file kcommand.cpp.

References QPtrList::setAutoDelete().

## Member Function Documentation

void KMacroCommand::addCommand | ( | KCommand * | command | ) |

| Appends a command to this macro command. The ownership is transfered to the macro command. Definition at line 38 of file kcommand.cpp. References QPtrList::append().

void KMacroCommand::execute | ( |  | ) | `[virtual]`

| Executes this command, i.e. execute all the sub-commands in the order in which they were added. Implements KCommand. Definition at line 43 of file kcommand.cpp. References QPtrListIterator::current().

void KMacroCommand::unexecute | ( |  | ) | `[virtual]`

| Undoes the execution of this command, i.e. unexecute all the sub-commands in the _reverse_ order to the one in which they were added. Implements KCommand. Definition at line 50 of file kcommand.cpp. References QPtrListIterator::current(), and QPtrListIterator::toLast().

The documentation for this class was generated from the following files:

- kcommand.h
- kcommand.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:21:37 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003